<style>

*{
   font-weight: 550;
   font-size: 9px;

}

#impresion{
   width:180px;
  
   margin: 0;
 
 padding: 0;
 
 
}
#titulo{

   margin: 0;
   text-align: center;
   padding: 0;
   
}
#tr{
   
   justify-content:  space-around;
}
h6{
   margin: 0;
 
   padding: 0;

}


.item{
margin-right: 1px;

}
p {margin: 0; padding: 0;

}
.produ{
   text-align: left;
}
#totalll{
   text-align: center;

}


</style>
<?php
$bodega=$_POST["bodega"];
include("datosimpresion.php");
?>

<div id="impresion" >



<div id="titulo">
   
<?php echo(" <h6>  $nombreNegocio</h6>
      <h6> $direccion</h6>
      ");?>
</div>

<?php




$idc=$_POST["idc"];
$nombrec=$_POST["nombrec"];
$direc=$_POST["direc"];
$nombrev=$_POST["nombrev"];
$fecha=$_POST["fecha"];
$factura=$_POST["numf"];
$devol=$_POST["devol"];

if(isset($_POST["reimpreDv"])){
   $reimpreDv=$_POST["reimpreDv"];
}else{
   $reimpreDv=0;
}

//
// session_start();
print("<br>");
print("<h6 class='empresa'>".$representante."</h6> ");
print(" <h6 class='empresa'>Nit:".$nit."</h6>  ");
print(" <h6 class='empresa'>$regimen </h6>");
print(" <h6 class='empresa'>Tel: ".$tel." </h6> ");


      
        echo("<hr>");
          
print("<p>Devolucion: ".$devol.  " Fecha: ".$fecha." </p>");
print("<p>Factura: ".$factura. "</p>");
print("<p>Cliente: ".$idc. "</p>");
print("<p>Nombre:".$nombrec  ." </p>");
print("<p>Direc: ".$direc ." </p>");
print("<p>Asesor:".$nombrev." </p>");

echo("<hr>");
print("<div id='titulo'><h6>Detalle Devolucion</h6> ");
echo("<hr>");




$total=$_POST["total"];
$todev=0;
//regimen comun
if(isset($_POST["Datos"])){
   $valor=json_decode($_POST["Datos"],true);
  
   echo("<p class='produ'>") ; 
   echo( $codigo=$valor["codigo"]);
   echo(" ");
   echo( $nombre=$valor["nombre"]);
   echo(" ");
   echo("Caja:". $caja=$valor["caja"]);
   echo(" ");
   echo("Frcc:". $frcc=$valor["frcc"]);
   echo(" ");
   echo("Precio:".number_format( $precio=$valor["precio"])); 
   echo("</p>");
   echo("<br>");

  
}else{
   $produc=$_POST["factura"];
   $fila = json_decode($produc,true);  
foreach($fila as $valor) {
   if($valor["devolucionEstado"]==0 || $reimpreDv==1){
echo("<p class='produ'>") ; 
echo( $codigo=$valor["Codigo"]);
echo(" ");
echo( $nombre=$valor["Nombre"]);
echo(" ");
echo("Caja:". $caja=$valor["Cantida_caja"]);
echo(" ");
echo("Frcc:". $frcc=$valor["Cantida_frcc"]);
echo(" ");
echo("Precio:".number_format( $precio=$valor["precio"])); 
echo("</p>");
echo("<br>");
   }else{
      $todev=$todev+$valor["precio"];
   }

}
}
echo("<hr>");

print("<div id='totalll'>");


echo("<h6> Total Devolucion:  ".number_format($total-$todev)."</h6>");

print("</div>");
echo("<hr>");
?>

<?php





?>
<div id="titulo">

 
   <h6>Sistema Pos</h6>
</div>








<script type="text/javascript">
function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
     
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);

</script>

</div>